Bug 858726 - Content Search - Compare: Should compare button be disabled if only one item is selected?
Content Search - Compare: Should compare button be disabled if only one item ...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: Eric Helms
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 09:57 EDT by Corey Welton
Modified: 2013-09-19 14:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:14:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2012-09-19 09:57:53 EDT
Description of problem:

When comparing items in content search -- say, repos, for example -- the "Compare Repositories" button is disabled when no repos are selected. However, it is enabled when only one is selected.

This is kind of weird - it's basically a no-op, comparing against itself.

Just wondering if maybe we should disable the button until two or more items are selected.  Kind of a question for UXD, I suppose.  Just seems like it could be kind of confusing to a new user.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Sync multiple repos
2.  Content > Content Search > Content type: Repositories
3.  From the Repositories div, search for and select only ONE repo; submit
4.  On the ensuing search results, observe "Compare Repositories" button, noting it is disabled.
5.  Mark one result in search; observe "Compare Repositories" button.
6.  Submit
  
Actual results:
The result compares... against itself. Or doesn't really compare anything

Expected results:

Maybe we should disable this button until two or more items are selected.

Additional info:
Comment 1 Eric Helms 2012-12-18 15:35:24 EST
Upstream - https://github.com/Katello/katello/pull/1305

Compare repositories button should disable now if there are less than two repositories selected.
Comment 2 Eric Helms 2012-12-19 11:36:29 EST
Fixed as of 54b33ce7a0237dc1d15ab2e994d0d7f5b3603da4
Comment 3 Mike McCune 2013-08-16 13:59:31 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 4 Mike McCune 2013-09-19 14:14:56 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.